Subject: Re: Cygwin Here power toy
From: "Gerrit P. Haase" <[email-masked]>
To: Andrew Ellerton <[email-masked]>
Cc: [email-masked]
Date: Sun, 20 Oct 2002 02:27:59 +0200

Hallo Andrew,

Am Samstag, 19. Oktober 2002 um 12:50 schriebst du:

> Hi All

> I've noted on the lists in May this year discussion about
> adding a Cygwin version of the "DosHere" power toy, and
> there's also a "BashHere" version which is good.

> I've done a simple version available in either a simple
> .reg file (for those happy to edit the registry to uninstall)
> and an executable installer for those who want to have an
> uninstall option. The reg version is tiny to download;
> the setup.exe one is 250k.

> Info is at: http://www.mic.com.au/software/free/CygwinHere/

> Its pretty simple at present, and any comments (or criticisms ;)
> are welcome

REGEDIT4
[...]
[HKEY_CLASSES_ROOT\Directory\shell\CygwinHere\command]
@="c:\\cygwin\\bin\\bash.exe --login -c \"cd '%1' ; exec /bin/bash -rcfile ~/.bashrc\""

The problem for me is that I cannot choose the PATH
when using the installer, my bash.exe is in H:\bin and not
in C:\cygwin\bin.  I can edit the .reg file though and
don't use the installer (and have no uninstall).  To make
use of it I still need to edit the registry :-(

The version I use includes an installer and an uninstall.
Well, you start it from a bash command line and the
install script asks some questions, but the paths are
ok and you may uninstall it using the control panels
add/remove software tool.

Have you tried it?
http://koeln.convey.de/cywgin/CygwinPromptHere/

Also I would like to choose which terminal to use,
I prefer rxvt instead of cmd.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/